#!/bin/csh
#SBATCH --ntasks=1
#SBATCH -N 1
#SBATCH --job-name=6pclus
#SBATCH -t 03:00:00

unset noclobber

# CHANGE TO SUBMISSION SUBDIR
cd $SLURM_SUBMIT_DIR
module load openmpi/1.6
module load fftw/3.3.3/gnu/4.6.1/openmpi/1.6/shared
setenv LD_LIBRARY_PATH $FFTWLIB

# CHARMM version
# In DT1
set chm = "/lustre/home/jbklauda/charmm/c39a2wxw/myc39a2/exec/gnu_M/gfortcol.om"
# In DT2
#set chm = "/lustre/xzhuang/software/charmm/c39a2/gnu_M/gfortcol.om"
hostname

set dir = "$4"
set inp = "$5"

module load openmpi/1.6
module load fftw/3.3.3/gnu/4.6.1/openmpi/1.6/shared
setenv LD_LIBRARY_PATH $FFTWLIB

set dir = "$4"
set inp = "$5"

module load openmpi/1.6
module load fftw/3.3.3/gnu/4.6.1/openmpi/1.6/shared
setenv LD_LIBRARY_PATH $FFTWLIB

@ start = $1
@ startd = $3

@ i = $start # first dcd # (NOT dcd file, but # DCDs looking at
@ k = $i + $startd # this counts actual name of DCD file
while ( $i <= $2) # last dcd #

# INVOKE CHARMM
$chm N=$k D=$i < $inp.inp > $dir/$inp.out &
@ i = $i + 1
@ k = $k + 1
end

echo $i
echo $k
echo "Finished section"
echo " "
echo " "
wait
